<template>
  <div>
    <v-card>
      <v-card-text>
        <v-form
          id="form-login"
          ref="form"
          @submit.prevent="submit"
        >
          <label class="mb-1" for="username">
            {{ $t('components.auth.login-form.cpf') }}
          </label>
          <v-text-field
            id="username"
            v-model.trim="cpf"
            name="username"
            type="text"
            validate-on-blur
            outlined
            :placeholder="$t('components.auth.login-form.cpf')"
          />
          <label class="mb-1" for="password">
            {{ $t('components.auth.login-form.password') }}
          </label>
          <v-text-field
            id="password"
            v-model.trim="password"
            name="password"
            outlined
            :placeholder="$t('components.auth.login-form.password')"
          />
          <v-btn
            id="submit"
            block
            class="my-4"
            color="primary"
            elevation="2"
            x-large
            :loading="loading"
            type="submit"
          >
            {{ $t('components.auth.login-form.submit') }}
          </v-btn>
        </v-form>
      </v-card-text>
    </v-card>
  </div>
</template>
<script>
import { mapActions } from 'vuex'

export default {
  data () {
    return {
      loading: false,
      username: '',
      password: '',
      isPasswordVisible: false
    }
  },
  methods: {
    ...mapActions('login', ['authenticate']),
    submit () {
      this.authenticate({
        cpf: this.cpf,
        password: this.password
      })
        .then((res) => {
          const user = res.data.user
          user.login_user = this.username
          this.$auth.setUser(user)
          this.$auth.$storage.setUniversal('user', user)
        }).catch(() => {
          this.$emit('loginError')
        })
    }
  }
}
</script>
<style></style>
